<?php
/**
 * @package Masonry
 */
?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>

	<?php if ( has_post_thumbnail() ) : ?>
	<div class="entry-thumbnail">
        <?php the_post_thumbnail( 'masonry-single' ); ?>
	</div><!-- .entry-thumbnail -->
    <?php endif; ?>
    
	<header class="entry-header">
		<?php the_title( '<h1 class="entry-title">', '</h1>' ); ?>

		<div class="entry-meta">
			<?php masonry_posted_on(); ?>
		</div><!-- .entry-meta -->
	</header><!-- .entry-header -->

	<div class="entry-content">
		<?php the_content(); ?>
		<?php
			wp_link_pages( array(
				'before' => '<div class="page-links">' . __( 'Страницы:', 'masonry' ),
				'after'  => '</div>',
			) );
		?>
	</div><!-- .entry-content -->

	<footer class="entry-footer">
		<?php
			/* translators: used between list items, there is a space after the comma */
			$category_list = get_the_category_list( __( ', ', 'masonry' ) );

			/* translators: used between list items, there is a space after the comma */
			$tag_list = get_the_tag_list( '', __( ', ', 'masonry' ) );

			if ( ! masonry_categorized_blog() ) {
				// This blog only has 1 category so we just need to worry about tags in the meta text
				if ( '' != $tag_list ) {
					$meta_text = __( 'Запись с тегом %2$s. Постоянная <a href="%3$s" rel="bookmark">ссылка</a>.', 'masonry' );
				} else {
					$meta_text = __( 'Постоянная <a href="%3$s" rel="bookmark">ссылка</a>.', 'masonry' );
				}

			} else {
				// But this blog has loads of categories so we should probably display them here
				if ( '' != $tag_list ) {
					$meta_text = __( 'Запись опубликована в рубрике %1$s с тегами %2$s. Постоянная <a href="%3$s" rel="bookmark">ссылка</a>.', 'masonry' );
				} else {
					$meta_text = __( 'Запись опубликована в рубрике %1$s. Постоянная <a href="%3$s" rel="bookmark">ссылка</a>.', 'masonry' );
				}

			} // end check for categories on this blog

			printf(
				$meta_text,
				$category_list,
				$tag_list,
				get_permalink()
			);
		?>

		<?php edit_post_link( __( 'Редактировать', 'masonry' ), '<span class="edit-link">', '</span>' ); ?>
	</footer><!-- .entry-footer -->
</article><!-- #post-## -->